Package com.logicaldoc.core.dbinit

# Class PluginDbInit

java.lang.Object
com.logicaldoc.util.dbinit.DBInit
com.logicaldoc.core.dbinit.PluginDbInit

public class PluginDbInit extends DBInit
Database initialization manager

Since:
  3.0
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`PluginDbInit()`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`
Intitializes the database using 'DbInit' extension point.
`void`
`init(Set<String> ids)`

### Methods inherited from class com.logicaldoc.util.dbinit.DBInit

`execute, executeSql, getDbms, getSqlList, isConnected, setDbms, setDriver, setPassword, setUrl, setUsername, testConnection`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PluginDbInit

public PluginDbInit()

## Method Details

### init

public void init() throws SQLException
Intitializes the database using 'DbInit' extension point.

Throws:
  `SQLException` - Error in the database

### init

public void init(Set<String> ids) throws SQLException

Throws:
  `SQLException`